OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_PolygonOnSurface Class Reference

`#include <PBRep_PolygonOnSurface.hxx>`

Inheritance diagram for PBRep_PolygonOnSurface:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_PolygonOnSurface (const Handle(PPoly_Polygon2D)&P, const Handle(PGeom_Surface)&S, const PTopLoc_Location &L)
virtual Standard_EXPORT Standard_Boolean | IsPolygonOnSurface () const
| A 2D polygon representation in the parametric space of a surface. .
Standard_EXPORT Handle_PGeom_Surface | Surface () const
Standard_EXPORT Handle_PPoly_Polygon2D | Polygon () const
| PBRep_PolygonOnSurface ()
| PBRep_PolygonOnSurface (const Storage_stCONSTclCOM &a)
| Handle (PPoly_Polygon2D) _CSFDB_GetPBRep_PolygonOnSurfacemyPolygon2D() const
void | _CSFDB_SetPBRep_PolygonOnSurfacemyPolygon2D (const Handle(PPoly_Polygon2D)&p)
| Handle (PGeom_Surface) _CSFDB_GetPBRep_PolygonOnSurfacemySurface() const
void | _CSFDB_SetPBRep_PolygonOnSurfacemySurface (const Handle(PGeom_Surface)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PPoly_Polygon2D | myPolygon2D
Handle_PGeom_Surface | mySurface

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_PolygonOnSurface::PBRep_PolygonOnSurface | ( | const Handle(PPoly_Polygon2D)& | P,
|  | const Handle(PGeom_Surface)& | S,
|  | const PTopLoc_Location & | L
| ) |

PBRep_PolygonOnSurface::PBRep_PolygonOnSurface | ( |  | ) | `[inline]`

PBRep_PolygonOnSurface::PBRep_PolygonOnSurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_PolygonOnSurface::_CSFDB_SetPBRep_PolygonOnSurfacemyPolygon2D | ( | const Handle(PPoly_Polygon2D)& | p | ) | `[inline]`

void PBRep_PolygonOnSurface::_CSFDB_SetPBRep_PolygonOnSurfacemySurface | ( | const Handle(PGeom_Surface)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_PolygonOnSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_CurveRepresentation. Reimplemented in PBRep_PolygonOnClosedSurface.

PBRep_PolygonOnSurface::Handle | ( | PGeom_Surface |  | ) | const`[inline]`

PBRep_PolygonOnSurface::Handle | ( | PPoly_Polygon2D |  | ) | const`[inline]`

| Reimplemented in PBRep_PolygonOnClosedSurface.

virtual Standard_EXPORT Standard_Boolean PBRep_PolygonOnSurface::IsPolygonOnSurface | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT Handle_PPoly_Polygon2D PBRep_PolygonOnSurface::Polygon | ( |  | ) | const

Standard_EXPORT Handle_PGeom_Surface PBRep_PolygonOnSurface::Surface | ( |  | ) | const

## Field Documentation

Handle_PPoly_Polygon2D PBRep_PolygonOnSurface::myPolygon2D`[private]`

Handle_PGeom_Surface PBRep_PolygonOnSurface::mySurface`[private]`

The documentation for this class was generated from the following file:

- PBRep_PolygonOnSurface.hxx